const system=require("../../../system");
const Dao=require("../../dao.base");
class ProductcostDao extends Dao{
  constructor(){
    super(Dao.getModelName(ProductcostDao));
  }
  extraModelFilter(){
    //return {"key":"include","value":[{model:this.db.models.app,},{model:this.db.models.role,as:"Roles",attributes:["id","name"],joinTableAttributes:['created_at']}]};
    return {"key":"include","value":[
      {model:this.db.models.productprice,attributes:["id","lowpriceref"]}]};
  }
}
module.exports=ProductcostDao;
    // var u=new UserDao();
    // var roledao=system.getObject("db.roleDao");
    // (async ()=>{
    //   var users=await u.model.findAll({where:{app_id:1}});
    //   var role=await roledao.model.findOne({where:{code:"guest"}});
    //   console.log(role);
    //   for(var i=0;i<users.length;i++){
    //     await users[i].setRoles([role]);
    //     console.log(i);
    //   }
    //
    // })();
